#********************************************************************
# Wrapper License Properties (Ignored by Community Edition)
#********************************************************************
#include ../conf/wrapper-license.conf

#********************************************************************
# Wrapper Java Properties
#********************************************************************
# Java Application
wrapper.java.command=java

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.  See the Integration section
#  of the documentation for details.
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperStartStopApp

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1

wrapper.java.classpath.1=./lib/*.*

# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=./lib

# Java Additional Parameters
wrapper.java.additional.1=-Dorg.tanukisoftware.wrapper.WrapperManager.mbean=true
wrapper.java.additional.2=-Dlog4j.configuration=file:./config/log4j.properties

# Initial Java Heap Size (in MB)
wrapper.java.initmemory=256

# Maximum Java Heap Size (in MB)
wrapper.java.maxmemory=4096

# Application parameters.  Add parameters as needed starting from 1
wrapper.app.parameter.1=bitzero.server.Main
wrapper.app.parameter.2=0
wrapper.app.parameter.3=bitzero.server.Main
wrapper.app.parameter.4=true
wrapper.app.parameter.5=0

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

#:if expand("%") == ""|browse confirm w|else|confirm w|endif:browse confirm wa
# Log file to use for wrapper output logging.
wrapper.logfile=./log/wrapper/hischool.YYYYMMDD.log

# Rolling day by day
wrapper.logfile.rollmode=DATE

# Format of output for the log file.  (See docs for formats)
#wrapper.logfile.format=LPTM
wrapper.logfile.format=TM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=ERROR

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=2m

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=100

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title=COTUONG

#********************************************************************
# Wrapper Windows NT/2000/XP Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name=COTUONG

# Display name of the service
wrapper.ntservice.displayname=COTUONG

# Description of the service
wrapper.ntservice.description=COTUONG

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop.
wrapper.ntservice.interactive=false
